<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Decoder Kit</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/css/bootstrap.min.css">
  	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Bitter:400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700">
    <link rel="stylesheet" th:href="@{/css/styles.min.css}">
</head>
<body>
    <div>
        <nav class="navbar navbar-light navbar-expand-md navigation-clean-button">
            <div class="container"><a class="navbar-brand" href="/">Decoder Kit</a><button class="navbar-toggler" data-toggle="collapse" data-target="#navcol-1"><span class="sr-only">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
                <div class="collapse navbar-collapse"
                    id="navcol-1">
                    <ul class="nav navbar-nav mr-auto">
                        <li class="nav-item" role="presentation"><a class="nav-link active" href="/">Home</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" href="/list">Users</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" href="/about">Team</a></li>
                    </ul><span class="navbar-text actions"> <a class="btn btn-light action-button" role="button" href="/logout">Logout</a></span></div>
            </div>
        </nav>
    </div>
    <div>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1>Upload New Image</h1>
                </div>
            </div>
            <div class="row-md-12">
				<form method="POST" modelAttribute="fileBucket" enctype="multipart/form-data" class="form-horizontal" th:action="@{/add-document-}+${userId}" role="form">
							<input type="file" name="file" path="file" id="file" class="form-control input-sm"/>
                            <input type="text" name="description" path="description" id="description" class="form-control input-sm" placeholder="Description"/>
                            <input type="submit" name="upload" value="Upload" id="upload" class="btn btn-primary btn-sm">
                    		<b class="col-md-1 control-lable"></b><font color="red"><label th:text="${errormessage}"></label></font>
                </form>
			</div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1>List of Images</h1>
                </div>
            </div>
            <div class="row">
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>File Name</th>
                            <th>Type</th>
                            <th>Preview</th>
                            <th>Uploaded</th>
                            <th width="100"></th>
                            <th width="100"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="doc,iterStat : ${documentsList}">
                            <td th:text="${iterStat.index + 1}"></td>
                            <td th:text="${doc.name}"></td>
                            <td th:text="${doc.type}"></td>
                            <td><a th:href="'/image/' + ${doc.id} + '.png'"><img width="200" th:id="img + ${iterStat.index}" th:name="img + ${iterStat.index}" th:src="@{'/image/'+${doc.id}}" /></a></td>
                            <td th:text="${users.findUserById({doc.user.id}).getName()}"></td>
                            <td><a th:onclick="'window.location.href = \'' +@{'/usedoc-' + ${doc.user.id} +'-'+ ${doc.id} + '-'} + '\' + langVal'" class="btn btn-success custom-width">use</a></td>
                            <td><a th:href="@{'/delete-document-' + ${doc.user.id} +'-'+ ${doc.id}}" class="btn btn-danger custom-width">delete</a></td>
                        </tr>
                    </tbody>
                </table>
			<div class="panel-heading"><span class="lead">Select Language Target (Press "use" on an image to decode):</span></div>
	            <select class="form-control" id="language">
				   <option value="undefined">-Select-</option>
				   <option value="ko">Korean</option>
				   <option value="en">English</option>
				   <option value="es">Spanish</option>
				   <option value="fr">French</option>
				   <option value="ja">Japanese</option>
				   <option value="de">German</option>
				</select>
				<script>
					var langVal;
					$("#language").on('change',function(){
						langVal = $(this).val();
					});
				</script>
			</div>
        </div>
		
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h1>Results</h1>
                </div>
            </div>
		<div>
			<div class="container">
				<div class="row">
					<div class="col-md-3">
						<h5 class="text-uppercase text-center bg-primary" style="margin:2px;">Encrypted Message</h5>
					</div>
					<div class="col">
						<div class="alert alert-success" role="alert"><span th:text="${encryptedMessage}"></span></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-3">
						<h5 class="text-uppercase text-center bg-primary" style="margin:2px;">Decrypted Message</h5>
					</div>
					<div class="col">
						<div class="alert alert-success" role="alert"><span th:text="${resultMessage}"></span></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-3">
						<h5 class="text-uppercase text-center bg-primary" style="margin:2px;">Source Language</h5>
					</div>
					<div class="col">
						<div class="alert alert-success" role="alert"><span th:text="${sourceLanguage}"></span></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-3">
						<h5 class="text-uppercase text-center bg-primary" style="margin:2px;">Target Language</h5>
					</div>
					<div class="col">
						<div class="alert alert-success" role="alert"><span th:text="${targetLanguage}"></span></div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-3">
						<h5 class="text-uppercase text-center bg-primary" style="margin:2px;">Translated Language</h5>
					</div>
					<div class="col">
						<div class="alert alert-success" role="alert"><span th:text="${translatedMessage}"></span></div>
					</div>
				</div>
			</div>
		</div>
        </div>
    </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/js/bootstrap.bundle.min.js"></script>
</body>
</html>